/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2009-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap;


/**	Provides this library's version information, which is "1.4b26 [449] of 27-Apr-2011".
 * 
 * @author Chris W. Johnson
 */
public class Version {
	
/**	The following string is automatically updated by the build script. Do not alter it here; the next run of the build
 *	script will undo whatever alterations are made here.
 */	
	private static final String	kVersionStr = "1.4b26 [449] of 27-Apr-2011";
	
/**	Prevent this class from being instantiated (all of its information is static, so instantiation is pointless), and, 
 * 	most particularly, prevent a constructor for this class from showing-up in the Javadocs.
 */	
	private Version() { }

/**	Returns this library's version string.
 * 
 * @return						The version string for this library.
 */
	public static String getString() {
		return kVersionStr;
	}
}
