package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;
import edu.utexas.ots.chrisj.util.Hexadecimal;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Oct 31, 2009
 * Time: 7:07:20 AM
 * To change this template use File | Settings | File Templates.
 */
public class BitsJunit extends TestCase {
	
	
	public void testBitsToFromString() {
		final String			BitsStr    = "1011011011001001010110011100100110000010";
		final byte[]			ResultBits = Bits.fromBinaryString(BitsStr);
		
		for (int Index = 0; Index < ResultBits.length; Index++)
			assertTrue(BitsStr.charAt(Index) - '0' == ResultBits[Index]);
		
		assertTrue(BitsStr.equals(Bits.toBinaryString(ResultBits)));
	}
	
	public void testBitsFromBytes() {
		final byte[]			bits = Bits.fromBytes(new byte[] { 0x5A, (byte) 0xEF });

		System.out.println(Bits.toBinaryString(bits));
		
		assertTrue("0101101011101111".equals(Bits.toBinaryString(bits)));
	}
	
	
//          Highest-Order Bit	
//          |
//	0x5A == 0101 1010 
//                  |
//	                Highest-Index Byte (new byte[] { 0, 1, 0, 1, 1, 0, 1, 0 })


//           Highest-Order Bit, Lowest Index Byte (when bits are represented by bytes)
//           |
//	0x1234 = 0001 0010 0011 0100
//                             |		
//                             Lowest-Order Bit, Highest Index Byte (when bits are represented by bytes)
	
	
	public void testBitsToFromBytes() {
		final byte[]			MasterBits  = new byte[] { 0,1,0,1, 1,0,1,0, 1,1,1,0, 1,1,1,1 };
		final byte[]			MasterBytes = new byte[] { (byte) 0x5A, (byte) 0xEF };
		
		final byte[]			ResultBits  = Bits.fromBytes(MasterBytes);
		final byte[]			ResultBytes = Bits.toBytes(MasterBits);
		
		System.out.println(Bits.toBinaryString(MasterBits));
		System.out.println(Bits.toBinaryString(Bits.fromBytes(MasterBytes)));
		System.out.println(Bits.toBinaryString(Bits.fromBytes(Bits.toBytes(MasterBits))));
		System.out.println(Hexadecimal.fromBytes(Bits.toBytes(MasterBits)));

	//	Compare ResultBytes to MasterBytes.
		
		for (int Index = 0; Index < MasterBytes.length; Index++)
			assertTrue("0x" + Hexadecimal.fromByte(MasterBytes[Index]) + "!=0x" + Hexadecimal.fromByte(ResultBytes[Index]), MasterBytes[Index] == ResultBytes[Index]);
		
	//	Compare ResultBits to MasterBits.
		
		for (int Index = 0; Index < MasterBits.length; Index++)
			assertTrue(MasterBits[Index] + "!=" + ResultBits[Index], MasterBits[Index] == ResultBits[Index]);
		
		if ((ResultBytes[0] & 0xFF) != 0x5A)
			fail();
		
		if ((ResultBytes[1] & 0xFF) != 0xEF)
			fail();
	}
	
	public void testSingleBit() {
		final byte[]			MasterBits  = new byte[] { 1 };
		final byte[]			MasterBytes = new byte[] { (byte) 0x01 };
		
		final byte[]			ResultBits  = Bits.fromBytes(MasterBytes);
		final byte[]			ResultBytes = Bits.toBytes(MasterBits);

		System.out.println(Hexadecimal.fromBytes(MasterBytes) + " == " + Hexadecimal.fromBytes(ResultBytes));
		System.out.println(Bits.toBinaryString(MasterBits) + " == " + Bits.toBinaryString(ResultBits));
		
	//	Compare ResultBytes to MasterBytes.
	
		for (int Index = 0; Index < MasterBytes.length; Index++)
			assertTrue("0x" + Hexadecimal.fromByte(MasterBytes[Index]) + "!=0x" + Hexadecimal.fromByte(ResultBytes[Index]), MasterBytes[Index] == ResultBytes[Index]);
	
	//	Compare ResultBits to MasterBits.
	
		assertTrue(ResultBits.length == 8);
		assertTrue(ResultBits[0] == 0);
		assertTrue(ResultBits[1] == 0);
		assertTrue(ResultBits[2] == 0);
		assertTrue(ResultBits[3] == 0);
		assertTrue(ResultBits[4] == 0);
		assertTrue(ResultBits[5] == 0);
		assertTrue(ResultBits[6] == 0);
		assertTrue(ResultBits[7] == 1);
	}
}
