/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;
import edu.utexas.ots.chrisj.util.Hexadecimal;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Jul 16, 2007
 * Time: 11:31:16 PM
 * To change this template use File | Settings | File Templates.
 */
public class ByteArrayJUnit extends TestCase {

	public void testStartsWith() {
		final ByteArray			BA1 = new ByteArray(Hexadecimal.toBytes("01 23 45 67 89 AB CD EF", true));
		
		if (BA1.size() != 8)
			fail();
		
		if (BA1.startsWith(Hexadecimal.toBytes("01 23", true)) == false)
			fail();
		
		if (BA1.startsWith(Hexadecimal.toBytes("23 45", true)))
			fail();
			
		final ByteArray			BA2 = new ByteArray(Hexadecimal.toBytes("01 23 45 67 89 AB CD EF", true), 2, 4);
		
		if (BA2.size() != 4)
			fail();
		
		if (BA2.startsWith(Hexadecimal.toBytes("45 67", true)) == false)
			fail();
		
		if (BA2.startsWith(Hexadecimal.toBytes("23 45", true)))
			fail();
		
		if (BA2.startsWith(Hexadecimal.toBytes("45 67 89 AB CD EF", true)))
			fail();
	}
	
	public void testEquals() {
		final ByteArray			BA1 = new ByteArray(Hexadecimal.toBytes("01 23 45 67 89 AB CD EF", true));	
		final ByteArray			BA2 = new ByteArray(Hexadecimal.toBytes("01 23 45 67 89 AB CD EF", true));
		
		if (BA1.equals(BA2) == false)
			fail();
		
		final ByteArray			BA3 = new ByteArray(Hexadecimal.toBytes("01 23 45 67 89 AB CD EF", true), 3, 4);
		
		if (BA1.equals(BA3))
			fail();
		
		final ByteArray			BA4 = new ByteArray(Hexadecimal.toBytes("67 89 AB CD", true));
		
		if (BA3.equals(BA4) == false)
			fail();
	}
}
