/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2009-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import java.io.UnsupportedEncodingException;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Oct 22, 2009
 * Time: 5:12:10 PM
 * To change this template use File | Settings | File Templates.
 */
abstract class CharacterSetFamilyUTF32 extends CharacterSetFamilyUTFMultiByte {

	protected static final int		BadStringLengthMask = 0x03;
	protected static final byte[]	BE_BOM = { 0, 0, (byte) 0xFE, (byte) 0xFF };	//	0x0000FEFF
	protected static final byte[]	LE_BOM = { (byte) 0xFF, (byte) 0xFE, 0, 0 };	//	0xFFFE0000


	protected CharacterSetFamilyUTF32
	(
		final String			SeriesName,
		final String			FirstCharSetName
	)
	throws UnsupportedEncodingException
	{
		super(SeriesName, FirstCharSetName);
		add("UTF-32");
	}
}