/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2010 Chris W. Johnson. All rights reserved.
	
	Chris W. Johnson's copyright notice in this evolving version reflects original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Apr 5, 2010
 * Time: 9:53:04 PM
 * To change this template use File | Settings | File Templates.
 */
interface ContentTypeDefaultCharSet {

/**	Given a MIME type and subtype, returns the default character set defined for that type, or <code>null</code> if
 * 	there is no default.
 * 
 * @param Type					The MIME type, or <code>null</code> if the MIME type was missing.
 * @param Subtype				The MIME subtype, or <code>null</code> if the MIME type was missing.
 * @return						The default character set defined for the MIME type and subtype, or <code>null</code> if
 * 								there is no default.
 */
	public String get(String Type, String Subtype);
}
