/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Mar 26, 2007
 * Time: 6:42:33 PM
 * To change this template use File | Settings | File Templates.
 */
final class FilterActionGoBackToFirstPage extends FilterAction {
	
	private final Page			DestPage;
	
	
	FilterActionGoBackToFirstPage
	(
		final PageStack			Pages
	)
	throws QwicapException
	{
		final int				PageCount = Pages.size();
		
		if (PageCount == 0)
			throw new QwicapException("Cannot go back to the first page, because the page stack is empty.");
		else if (PageCount == 1)
			DestPage = null;	//	Do nothing. We're already at the first page.
		else
			DestPage = Pages.get(0);
	}
	
	@Override boolean execute() throws QwicapPageAbandonedException {
		
		if (DestPage != null)
			throw new QwicapPageAbandonedException(DestPage, false, Next);
		
		return true;	//	Continue executing actions.
	}
}
