/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import edu.utexas.its.eis.tools.qwicap.util.ArrayToString;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Apr 29, 2006
 * Time: 5:52:38 PM
 * To change this template use File | Settings | File Templates.
 */
final class FilterActionGoBackToNamedMarkup extends FilterAction {
	
	private final Page			DestPage;
	
	
	FilterActionGoBackToNamedMarkup
	(
		final PageStack			Pages,
		final String			MarkupName
	)
	throws QwicapException
	{
		DestPage = Pages.getByMarkupName(MarkupName);
		if (DestPage == null) {
			final int				PageCount = Pages.size();
			final String[]			Names     = new String[PageCount];
			
			for (int Index = 0; Index < PageCount; Index++)
				Names[Index] = Pages.get(Index).getMarkup().getMarkupName();
			
			throw new QwicapException("There is no page with markup named \"" + MarkupName + "\" in the current page stack. The following pages are currently on the stack: " + new ArrayToString(Names).alwaysQuote() + '.');
		}
	}
	
	@Override boolean execute() throws QwicapPageAbandonedException {
		throw new QwicapPageAbandonedException(DestPage, false, Next);
	}
}
