/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Jul 9, 2007
 * Time: 8:46:19 PM
 * To change this template use File | Settings | File Templates.
 */
final class FormControlBytes {

	final ByteArray			Name;
	final ByteArray			Value;

	
	FormControlBytes
	(
		final ByteArray			Name,
		final ByteArray			Value
	)
	{
		this.Name  = Name;
		this.Value = Value;
	}
	
	FormControlBytes
	(
		final byte[]			Bytes,
		final int				NameIndex,
		final int				ValueIndex,
		final int				NextIndex
	)
	{
		Name  = new ByteArray(Bytes, NameIndex,  ValueIndex - NameIndex );
		Value = new ByteArray(Bytes, ValueIndex, NextIndex  - ValueIndex);
	}

	FormControlBytes
	(
		final byte[]			Bytes,
		final int				NameIndex,
		final int				NameLength,
		final int				ValueIndex,
		final int				ValueLength
	)
	{
		Name  = new ByteArray(Bytes, NameIndex,  NameLength );
		Value = new ByteArray(Bytes, ValueIndex, ValueLength);
	}

	boolean nameMatches
	(
		final ByteArray			OtherBytes
	)
	{
		return Name.equals(OtherBytes);
	}
}
