/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2008 Chris W. Johnson. All rights reserved.
	
	Chris W. Johnson's copyright notice in this evolving version reflects his original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Jan 19, 2008
 * Time: 7:01:05 PM
 * To change this template use File | Settings | File Templates.
 */
public class FormDataSetJUnit extends TestCase {
	
	public void testEncodeDecode() {
		
		encodeDecodeTest("ISO-8859-1");
		encodeDecodeTest("UTF-8");
		encodeDecodeTest("UTF-16");
		encodeDecodeTest("UTF-16LE");
		encodeDecodeTest("IBM1047");	//	EBCDIC latin code page.
	}
	
	private static void encodeDecodeTest
	(
		final String			CharSet
	)
	{
		final FormDataSet		FDS      = new FormDataSet();
		final char[]			AllBytes = new char[256];
		
		for (int Index = 0, Count = AllBytes.length; Index < Count; Index++)
			AllBytes[Index] = (char) Index;
		
		FDS.addData("AllBytes", new String(AllBytes));
		
		final String			Encoded   = FDS.toWWWFormURLEncodedString(CharSet);

		System.out.println(CharSet + " : " + Encoded);
		
		final FormDataSet		FDS2      = new FormDataSet(Encoded, CharSet);
		final char[]			AllBytes2 = FDS2.getDatum("AllBytes").toCharArray();
		
		assertTrue(AllBytes2.length == 256);
		
		for (int Index = 0, Count = AllBytes2.length; Index < Count; Index++) {
			
			if (AllBytes2[Index] != Index)
				fail("Character at index " + Index + " should be " + Index + ", but is actually " + AllBytes2[Index] + '.');
		}
	}
}
