/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;
import edu.utexas.its.eis.tools.qwicap.template.xml.mutable.MutableMarkup;

import java.util.Random;
import java.util.HashSet;
import java.io.File;
import java.net.URL;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Apr 10, 2007
 * Time: 5:49:37 PM
 * To change this template use File | Settings | File Templates.
 */
public class FormInputRejectionHelperJUnit extends TestCase {

	public void testConstructor() throws Exception {
		final MutableMarkup				Doc          = FormControlInfoJUnit.TestDoc.getMutable();
		final i18nLocaleList			KnownLocales = new i18nLocaleList();
		final File 						BaseDir      = new File(".");
		final i18nManager				i18nMgr;
		
		i18nMgr = new i18nManager(
			this.getClass().getClassLoader(), 
			KnownLocales, 
			new i18nDocumentAccessor(
				new DocumentCache(new MIMETypeGuesser(), new DocumentCensus(10, 10), 1),
				new i18nLocalizationsList(KnownLocales, new HashSet<String>()),
				BaseDir.toURI().toURL().toString(),
				BaseDir
			),
			"*"
		);
		
		final FormInputRejectionHelper	Helper = new FormInputRejectionHelper(new Page(new URL("http://127.0.0.1:8080/webapp/"), new Random(), i18nMgr.getServicesForClass(Qwicap.class), Doc), new String[] { "csr" }, new Object[] { "blah, blah, blah" });
		
	//	If an exception is thrown above, there's a bug and this test has failed.
	}
}
