/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Oct 8, 2007
 * Time: 9:20:52 PM
 * To change this template use File | Settings | File Templates.
 */
public class HTTPAcceptCharsetListJUnit extends TestCase {

	public void testCreationOfAcceptCharsetString1() {
		final HTTPAcceptCharsetList	List = new HTTPAcceptCharsetList();

		List.add("utf-8",      1.0);
		List.add("UTF-16BE",   1.0);
		List.add("US-ASCII",   1.0);
		List.add("iso-8859-1", 1.0);
		
		assertTrue("UTF-8, UTF-16BE, US-ASCII, ISO-8859-1".equals(List.toString()));
	}
	
	public void testCreationOfAcceptCharsetString1_1() {
		final HTTPAcceptCharsetList	List = new HTTPAcceptCharsetList();

		List.add("utf-8",      1.0);
		List.add("UTF-16BE",   1.0);
		List.add("US-ASCII",   1.0);
		
		assertTrue("UTF-8, UTF-16BE, US-ASCII".equals(List.toString()));
	}

	public void testCreationOfAcceptCharsetString2() {
		final HTTPAcceptCharsetList	List = new HTTPAcceptCharsetList();

		List.add("utf-8",      1.0);
		List.add("UTF-16BE",   0.8);
		List.add("US-ASCII",   0.45);
		List.add("iso-8859-1", 0.6);
		
		assertTrue("UTF-8, UTF-16BE;q=0.8, US-ASCII;q=0.45, ISO-8859-1;q=0.6".equals(List.toString()));
	}

	public void testCreationOfAcceptCharsetString2_1() {
		final HTTPAcceptCharsetList	List = new HTTPAcceptCharsetList();

		List.add("utf-8",      1.0);
		List.add("UTF-16BE",   0.8);
		List.add("US-ASCII",   0.45);
		
		assertTrue("UTF-8, UTF-16BE;q=0.8, US-ASCII;q=0.45".equals(List.toString()));
	}
}
