/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Sep 18, 2007
 * Time: 4:46:55 PM
 * To change this template use File | Settings | File Templates.
 */
public class HTTPLanguageTagJUnit extends TestCase {

	public void testComponentArrayConstructor() {
		final HTTPLanguageTag	HLS = new HTTPLanguageTag(new String[] { "en", "GB" }, 0, 2);
		
		assertTrue("HTTP language string should be \"en-gb\", but is actually: " + HLS, "en-gb".equals(HLS.toString()));
	}
	
	public void testVariants() {
		final HTTPLanguageTag	HLS          = new HTTPLanguageTag("en-gb");
		final HTTPLanguageTag[] SubtagCombos = HLS.getSubtagCombinations();
		
		assertTrue("Two variants should have been produced, but the actual number is " + SubtagCombos.length + '.', SubtagCombos.length == 2);
		
		if ("en-gb".equals(SubtagCombos[0].toString()) == false)
			fail("SubtagCombos[0] should have been \"en-gb\", but is actually: " + SubtagCombos[0]);
		
		if ("en".equals(SubtagCombos[1].toString()) == false)
			fail("SubtagCombos[1] should have been \"en\", but is actually: " + SubtagCombos[1]);
	}
}
