/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import javax.servlet.Servlet;
import javax.servlet.ServletContext;
import java.net.FileNameMap;
import java.net.URLConnection;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Oct 2, 2007
 * Time: 6:08:13 PM
 * To change this template use File | Settings | File Templates.
 */
final class MIMETypeGuesser {

	private final ServletContext	SCtxt;
	private final FileNameMap		Map;


	MIMETypeGuesser() {
		this(null);
	}
	
	MIMETypeGuesser
	(
		final Servlet			Srvlt
	)
	{
		this.SCtxt = Srvlt != null ? Srvlt.getServletConfig().getServletContext() : null;
		this.Map   = URLConnection.getFileNameMap();
	}
	
	String getGuess
	(
		final String			FileName
	)
	{
		String					MIMEType = null;
		
		if (SCtxt != null)
			MIMEType = SCtxt.getMimeType(FileName);
			
		if (MIMEType == null)
			MIMEType = Map.getContentTypeFor(FileName);
		
	//	todo Consider: Could either of the method invocations above ever return the useless "content/unknown" type?
		
		return MIMEType;
	}
}
