/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2006 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**	<code>QwicapFormAbandonedException</code> is thrown when a user interacting with a mutli-form page abandons a form 
 *	that was requesting a correction to previous invalid input, and instead submits another form on the same page. This 
 *	exception serves to terminate the application's wait for valid input from the original form, and restarts the 
 *	input processing loop, so the application can receive and use the input from the other form.
 *	
 *	@author Chris W. Johnson
 */
final class QwicapFormAbandonedException extends QwicapAbandonmentException {
	
	QwicapFormAbandonedException
	(
		final Page				PageToRevertTo
	//	final String			FormToChangeTo
	)
	{
		super(PageToRevertTo, true);
	}
}