/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**	This exception is thrown when normal {@link QwicapSessionDeathException}s seem to be failing to kill the current
 * 	seesion of the client web application, possibly because it is accidentally catching and discarding them.
 * 	
 * 	@author Chris W. Johnson
 */
final class QwicapSessionAbandonedException extends QwicapAbandonmentException {
	
	QwicapSessionAbandonedException
	(
		final String			CauseOfDeathMsg
	)
	{
		super(CauseOfDeathMsg);
	}
	
	@Override protected Page setNoPromptPage
	(
		final Page				P,
		final boolean			EvaluateNewInput
	)
	{
	//	Do nothing. This method isn't applicable to this peculiar subclass of QwicapAbandonmentException.
	//	In fact, we could get away without implementing this method at all in this class, but not doing so poses a 
	//	risk of making future mistakes if this class is extended, primarily if it overrides other constructors of
	//	the QwicapAbandonmentException class.
		
		return P;
	}
	
	@Override public void rethrowIfThisPageWasAbandoned() throws QwicapAbandonmentException {
	
	//	Always rethrow. This peculiar subclass of QwicapAbandonmentException is never meant to be caught.
		
		throw this;	
	}
}
