/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2008 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Feb 7, 2008
 * Time: 7:45:19 PM
 * To change this template use File | Settings | File Templates.
 */
class QwicapSessionWillNotDieError extends Error {

	QwicapSessionWillNotDieError
	(
		final Qwicap			Q,
		final int				AttemptsMade
	)
	{ 
		super(AttemptsMade + " failed attempts were made to kill this Qwicap session (" + Q + 
			"). The web application must be catching one, or both, of the exceptions: QwicapSessionDeathException " +
			"and QwicapSessionAbandonedException. Catching them is a bug, because it prevents sessions from being " +
			"killed when they expire, and when the servlet or server is shutdown. This session was forcibly " +
			"terminated by an Error while executing at the point indicated by the following stack trace. Look for " +
			"the bug in that area of the application's code.\n" + new SimplifiedStackTrace()
		);
	}	
}
