/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/**	Describes a "redirect" operation that will, or has, caused Qwicap to block.
 * 	
 * 	@author Chris W. Johnson
 */
public class RedirectDescription extends BlockingDescription {
	
	private final String		URL;
	
	
	RedirectDescription
	(
		final Qwicap			Q,
		final String			URL
	)
	{
		super(Q, BlockingOperation.REDIRECT);
		this.URL = URL;
	}

/**	Returns the URL to which the user will be, or has been, redirected.
 * 
 * @return						The URL to which the user will be, or has been, redirected.
 */
	public String getURL() {
		return URL;
	}
	
	@Override public String toString() {
		return "redirect(" + URL + ')';
	}
}
