/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;

import java.security.Security;
import java.security.SecureRandom;
import java.security.Provider;

import edu.utexas.its.eis.tools.table.Table;
import edu.utexas.its.eis.tools.table.lltable.MutableLLTable;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Apr 11, 2007
 * Time: 2:41:34 PM
 * To change this template use File | Settings | File Templates.
 */
public class Rule30RandomProviderJUnit extends TestCase {

	public void testProvider() throws Exception {
		
		Security.addProvider(new Rule30RandomProvider(new Rule30Random()));

		final SecureRandom		Rndm = SecureRandom.getInstance("Rule30", "Qwicap");
		
	//	Actually, we'll throw an exception before we can arrive here, but you get the idea.
		
		if (Rndm == null)
			assertTrue("SecureRandom instance could not be obtained.", Rndm != null);
		
	//	See if we can remove the provider.
		
		printProviders();

		System.out.printf("%nTrying to remove our provider.%n%n");
		Security.removeProvider(Rule30RandomProvider.kProviderName);
		
		printProviders();
	}
	
	private static void printProviders() {
		final Table				T = new MutableLLTable().setColNames("Service Type", "Service Algorithm", "Provider", "Provider\nVersion");
		
		for (final Provider P : Security.getProviders()) {	
			
			for (final Provider.Service PS : P.getServices())
				T.addRow().addAll(PS.getType(), PS.getAlgorithm(), P.getName(), P.getVersion());
		}

		System.out.println(T.sortRowsAscending());
	}
}
