/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


/*
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Apr 27, 2011
 * Time: 4:43:01 AM
 * To change this template use File | Settings | File Templates.
 */


/**	Represents the content type information for XML that was <i>not</i> obtained via HTTP. This may include a MIME type 
 * 	alone, a MIME type and character set, or nothing at all.
 * 
 *  <p>Although declared "public", this class is not part of Qwicap's public API. It is declared "public" only because
 * 	uses of it within Qwicap span package boundaries.</p>
 * 
 * 	@author Chris W. Johnson
 */
public final class XMLContentType extends ContentType {
	
	private static final ContentTypeDefaultCharSet	kDefaultCharSet = new XMLContentTypeDefaultCharSet();
	
	
	public XMLContentType
	(
		final String			ContentTypeStr
	)
	{
		super(ContentTypeStr, kDefaultCharSet);
	}
}
