/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import junit.framework.TestCase;

import java.util.LinkedHashSet;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Oct 3, 2007
 * Time: 9:54:03 PM
 * To change this template use File | Settings | File Templates.
 */
public class i18nLocalizationsListJUnit extends TestCase {

	private static final i18nLocaleList		KnownLocales = new i18nLocaleList();


	public void test1() {
		final LinkedHashSet<String>		TopLevelRsrcs = new LinkedHashSet<String>();
		
		TopLevelRsrcs.add("/de/");
		TopLevelRsrcs.add("/en/");
		TopLevelRsrcs.add("/en-us/");
		TopLevelRsrcs.add("/es/");
		TopLevelRsrcs.add("/META-INF/");
		TopLevelRsrcs.add("/number-guess.css");
		TopLevelRsrcs.add("/number-guess.html");
		TopLevelRsrcs.add("/WEB-INF/");
		
		final i18nLocalizationsList		WebAppLangs  = new i18nLocalizationsList(KnownLocales, TopLevelRsrcs);
		final HTTPLanguageTags			Translations = WebAppLangs.getTranslations();
		
		assertTrue(Translations.getSupportedIdentifier("de"   ) != null);
		assertTrue(Translations.getSupportedIdentifier("en"   ) != null);
		assertTrue(Translations.getSupportedIdentifier("en_US") != null);
		assertTrue(Translations.getSupportedIdentifier("en-US") != null);
		assertTrue(Translations.getSupportedIdentifier("EN-us") != null);
		assertTrue(Translations.getSupportedIdentifier("ES"   ) != null);
		
		assertTrue(Translations.getSupportedIdentifier("META-INF"         ) == null);
		assertTrue(Translations.getSupportedIdentifier("number-guess.css" ) == null);
		assertTrue(Translations.getSupportedIdentifier("number-guess.html") == null);
		assertTrue(Translations.getSupportedIdentifier("WEB-INF"          ) == null);
		
		assertTrue(Translations.getSupportedIdentifier("ru") == null);
	}
}
