/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.servlet;


import edu.utexas.its.eis.tools.qwicap.template.xml.immutable.XMLString;
import edu.utexas.its.eis.tools.qwicap.template.xml.immutable.XMLDocument;
import edu.utexas.its.eis.tools.qwicap.template.xml.TagException;

import java.math.BigInteger;
import java.math.BigDecimal;
import java.text.ParseException;
import java.util.Locale;
import java.util.Date;
import java.util.Calendar;
import java.io.IOException;
import java.net.URL;
import java.sql.Time;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Sep 16, 2007
 * Time: 8:11:44 PM
 * To change this template use File | Settings | File Templates.
 */
public interface i18nServices {
	
	public Locale getLocale();
		
	public String getHTTPLanguageString();
		
	public BigInteger parseInteger
	(
		final String			IntStr
	)
	throws ParseException, ArithmeticException;	//	ArithmeticException is thrown when there's a fractional component to this would-be intereger quantity.

	public BigDecimal parseDecimal
	(
		final String			DecStr
	)
	throws ParseException;
	
	public String formatNumber
	(
		final Number			No
	);
	
	public String formatInteger
	(
		final Number			No
	);
	
	public String formatDecimal
	(
		final Number			No
	);
	
	public Date parseDateTime
	(
		final String			Text
	)
	throws ParseException;
	
	public java.sql.Date parseDate
	(
		final String			Text
	)
	throws ParseException;
	
	public Time parseTime
	(
		final String			Text
	)
	throws ParseException;
	
	public String formatDateTime
	(
		final long				DTMillis
	);
	
	public String formatDateTime
	(
		final Date				DTMillis
	);
	
	public String formatDateTime
	(
		final Calendar			DTMillis
	);
	
	public String formatDate
	(
		final long				DTMillis
	);
	
	public String formatDate
	(
		final Date				DTMillis
	);
	
	public String formatDate
	(
		final Calendar			DTMillis
	);
	
	public String formatTime
	(
		final long				DTMillis
	);
	
	public String formatTime
	(
		final Date				DTMillis
	);
	
	public String formatTime
	(
		final Calendar			DTMillis
	);
		
	public XMLDocument getDocument
	(
		final String			FileName
	) 
	throws TagException, IOException;
	
	public XMLDocument getDocument
	(
		final URL				DocURL
	) 
	throws TagException, IOException;
	
	public String getString
	(
		final String			Key
	);
	
	public String getMessageString
	(
		final String			Key,
		final Object...			Values
	);
	
	public XMLString getMessageXML
	(
		final String			Key,
		final Object...			Values
	)
	throws TagException;
	
	public XMLString getXML
	(
		final String			Key
	)
	throws TagException;
}
