package edu.utexas.its.eis.tools.qwicap.template.css;


import junit.framework.TestCase;
import edu.utexas.its.eis.tools.qwicap.template.xml.immutable.XMLString;
import edu.utexas.its.eis.tools.qwicap.template.xml.TagException;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Feb 17, 2009
 * Time: 7:50:27 PM
 * To change this template use File | Settings | File Templates.
 */
public class CSSPatternsJUnit extends TestCase {

	public void testClassClassSelectorSyntax1() throws TagException {
	
	//	In which we determine whether or not the "p.marine.pastoral" syntax described at 
	//	<http://www.w3.org/TR/CSS21/selector.html#class-html> is supported and working.
		
		final XMLString			Doc = new XMLString("<p class='pastoral blue aqua marine'>Hello World</p>");
		
		assertFalse(Doc.get("p.marine.pastoral").isEmpty());
	}

	public void testClassClassSelectorSyntax2() throws TagException {
	
	//	In which we determine whether or not the "p.marine.pastoral" syntax described at 
	//	<http://www.w3.org/TR/CSS21/selector.html#class-html> is supported and working.
		
		final XMLString			Doc = new XMLString("<p class='pastoral blue'>Hello World</p>");
		
		assertTrue(Doc.get("p.marine.pastoral").isEmpty());
	}
	
	public void testSelectorEscaping() throws TagException {
		
	// 	See <http://www.w3.org/TR/CSS2/syndata.html#q4>.
		
		final XMLString			Doc = new XMLString("<hello.world.tag/>");
		
		assertFalse(Doc.get("hello\\.world\\.tag").isEmpty());
		
		assertTrue(Doc.get("hello.world.tag").isEmpty());
	}
}
