/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2011 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  ResultsEnumerator.java
//  qwicap
//
//  Created by Chris W. Johnson on Sat Jun 21 2003.


package edu.utexas.its.eis.tools.qwicap.template.css;


import edu.utexas.its.eis.tools.qwicap.template.xml.Match;

import java.util.*;


/**	<code>ResultsEnumerator</code> provides an enumerator for retrieving each of the {@link Match} objects contained 
 *	in a {@link Results} object.
 *	
 *	@author Chris W. Johnson
 * 	@deprecated 				The <code>Match</code> objects in a <code>Results</code> object can be accessed by using 
 * 								{@link Results#iterator}, or by using the <code>Results</code> object as the subject of
 * 								a "for-each" loop.
 */
@Deprecated public final class ResultsEnumerator implements Enumeration<Match>, Iterator<Match> {
	
	private final Results		Results;
	private int					ResultsIndex;
	
	
	public ResultsEnumerator
	(
		final Results			Results
	)
	{
		this.Results = Results;
	}

	@Override public boolean hasNext() {
		return ResultsIndex < Results.size();
	}

	@Override public Match next() {

		if (ResultsIndex >= Results.size())
			throw new NoSuchElementException();

		return Results.get(ResultsIndex++);
	}

	@Override public void remove() {
		throw new UnsupportedOperationException();
	}
	
	@Override public boolean hasMoreElements() {
		return hasNext();
	}
	
	@Override public Match nextElement() {
		return next();
	}
	
	public Match nextMatch() {
		return next();
	}
	
	public Results getResults() {
		return Results;
	}
}




