/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  SelectorFirstChild.java
//  qwicap
//
//  Created by Chris W. Johnson on Thu Jun 12 2003.


package edu.utexas.its.eis.tools.qwicap.template.css;


import edu.utexas.its.eis.tools.qwicap.template.xml.structure.*;


/**	<code>SelectorFirstChild</code> is the selector responsible for supporting CSS selectors of the form 
 *	"E:first-child", which "Matches element E when E is the first child of its parent."
 *	
 *	@author Chris W. Johnson
 */
final class SelectorFirstChild extends Selector {
	
	
	@Override boolean selects
	(
		final TagWithAttributes	Other,
		final int				ChildNo
	)
	{
		return ChildNo == 0;
	}
	
	@Override public String toString() {
		return ":first-child";
	}
}




