/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2006 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.template.css;


/*
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Jul 4, 2004
 * Time: 1:19:03 AM
 * To change this template use Options | File Templates.
 */
final class SelectorPseudoClass {
	
	static Selector create
	(
		final CharacterIterator	Chars
	)
	{
		final String			Name = CSSParser.getIdentifier(Chars);
		
		if ("first-child".equals(Name)) {
			
			return new SelectorFirstChild();
			
		} else if ("lang".equals(Name)) {
			
			if (Chars.hasNext() && Chars.next() == '(') {
				final String			Language = CSSParser.getIdentifier(Chars);
				
			//	todo Consider namespace issues here.
				
				if (Chars.hasNext() && Chars.next() == ')')
					return new SelectorAttributeValueStartsWith(null, Name, Language);
				else
					throw new IllegalArgumentException("A \"lang\" pseudo-class was not terminated by a closing parenthesis. See " + Chars + '.');
			} else
				throw new IllegalArgumentException("A \"lang\" pseudo-class name was not followed by a parenthetical language specifier. See " + Chars + '.');
		} else
			throw new IllegalArgumentException("Invalid or unimplemented pseudo-class: \"" + Name + "\". See " + Chars + '.');
	}
}
