/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2006 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  AttributeEnumeration.java
//  qwicap
//
//  Created by Chris W. Johnson on Tue Jul 15 2003.


package edu.utexas.its.eis.tools.qwicap.template.xml;


import edu.utexas.its.eis.tools.qwicap.template.xml.structure.Attribute;
import java.util.*;


/**	The <code>AttributeEnumeration</code> interface defines the basic functionality required from all of the various 
 *	enumerators that provide access to the attributes of XML tags that can contain attributes.
 *	
 *	@author Chris W. Johnson
*/
public interface AttributeEnumeration extends Enumeration<Attribute>, Iterator<Attribute> {

/**	Returns the number of attributes that this enumeration represents.
 * 
 * @return	The number of attributes that this enumeration represents.
 */
	public int			size();
		
	public boolean		hasMoreAttributes();
	
	public Attribute	nextAttribute() throws NoSuchElementException;
}










