/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2007 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  IncompleteTagException.java
//  qwicap
//
//  Created by Chris W. Johnson on Fri Jun 06 2003.


package edu.utexas.its.eis.tools.qwicap.template.xml;


/**	A "start" tag was found for which there was no corresponding "end" tag. Ideally, this exception probably would not 
 * 	be considered part of Qwicap's public API, since it's a subclass of <code>TagException</code> which already is 
 * 	public, and knowing about the existence of this specific subclass adds little, or no, value. Nonetheless, it could 
 * 	not be hidden because uses of it span package boundaries.
 * 
 *	@author Chris W. Johnson
 */
public final class IncompleteTagException extends TagException {
	
//	The default constructor is left-unimplemented on-purpose. No Qwicap code has any business throwing an exception
//	without an explanation.
//	
//	public IncompleteTagException() { super(); }

	public IncompleteTagException(final String Msg) { super(Msg); }
}


