/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2006 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  TagException.java
//  qwicap
//
//  Created by Chris W. Johnson on Fri Jun 06 2003.


package edu.utexas.its.eis.tools.qwicap.template.xml;


import edu.utexas.its.eis.tools.qwicap.servlet.QwicapException;


/**	The base class for all of the exceptions relating to XML markup and its usage. In many cases this exception is 
 *	thrown directly, which would be unhelpfully general if it weren't for the ordinarily helpful explanatory messages
 *	that are included in the exceptions.
 * 
 *	@author Chris W. Johnson
 */
public class TagException extends QwicapException {
	
	private String				Markup;
	
//	The default constructor is left-unimplemented on-purpose. No Qwicap code has any business throwing an exception
//	without an explanation.
//	
//	public TagException() { super(); }

	public TagException(final String Msg) { super(Msg); }
	public TagException(final Throwable e) { super(e); }
	
	public void setMarkup
	(
		final char[]			Chars,
		final int				Offset,
		final int				Limit	//	Index of character AFTER the last character in Chars that is a part of the markup.
	)
	{
		Markup = new String(Chars, Offset, Limit - Offset);
	}
	
	public String getMarkup() {
		return Markup;
	}
}
