/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2008 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  Content.java
//  qwicap
//
//  Created by Chris W. Johnson on Sat Jun 07 2003.


package edu.utexas.its.eis.tools.qwicap.template.xml.immutable;


import edu.utexas.its.eis.tools.qwicap.template.xml.structure.Content;


/**	Represents immutable non-whitespace sections that fall between tags in XML documents. This is not part of Qwicap's 
 * 	public API, but it could not be hidden because uses of it span package boundaries.
 * 
 *	@author Chris W. Johnson
 */
public final class ImContent extends ImItem implements Content {
	
//	Any non-whitespace that falls between tags.
//
//	Note that the routines that call this constructor aren't
// 	whitespace-aware, and may, therefore, be creating Content
//	objects that physically bound nothing but whitespace, and
//	therefore, paradoxically, have no content. This isn't a
//	problem, it's just worth realizing.
	
	ImContent
	(
		final char[]			Chars,
		final int				PyStart,
		final int				PyEnd
	)
	{
		super(Chars, PyStart, PyEnd);
		
		ContentStart = PyStart;
		ContentEnd   = PyEnd;
		
		trimContent();
	}
}
	
