/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


//  ContentMutable.java
//  qwicap
//
//  Created by Chris W. Johnson on Sun Jun 08 2003.


package edu.utexas.its.eis.tools.qwicap.template.xml.mutable;


import edu.utexas.its.eis.tools.qwicap.template.xml.structure.Content;
import edu.utexas.its.eis.tools.qwicap.util.Characters;

import java.io.PrintWriter;
import java.io.IOException;


/**	Represents mutable, non-whitespace sections that fall between tags in mutable XML documents.
 * 
 *	@author Chris W. Johnson
 */
final class MuContent extends MuItem implements Content {

	private Characters		Content;
	
	
	MuContent
	(
		final String			Master
	)
	{
		Content = new Characters(Master);
	}
	
	MuContent
	(
		final Content			Master
	) 
	{
		Content = Master.getContent();
	}
	
	@Override public void setContent
	(
		final Characters		NewContent
	)
	{
		Content = NewContent;
	}
	
	@Override public Characters getContent() {
		return Content;
	}
	
	@Override public String toString() {
		return Content.toString();
	}
	
	@Override public void write
	(
		final PrintWriter		Out
	)
	throws IOException
	{
		Content.write(Out);
	}
}








