/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2009 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.template.xml.util.xcsd;


import junit.framework.TestCase;

import java.io.ByteArrayInputStream;
import java.io.Reader;
import java.io.IOException;


/**
 * Created by IntelliJ IDEA.
 * User: chrisj
 * Date: Jun 7, 2007
 * Time: 11:46:57 PM
 * To change this template use File | Settings | File Templates.
 */
public class ReaderOf2ByteBigEndianJUnit extends TestCase {


	public void test1() throws IOException {
		final byte[]			Input = { (byte) 1, (byte) 2 };
		final Reader			In    = new ReaderOf2ByteBigEndian(new ByteArrayInputStream(Input));
		final int				Char  = In.read();
		
		assertTrue("Character should have been 0x0102, but is actually: " + Integer.toHexString(Char), Char == 0x0102);
	}

	public void test2() throws IOException {
		final byte[]			Input = { (byte) 1, (byte) 2, (byte) 3, (byte) 4 };
		final Reader			In    = new ReaderOf2ByteBigEndian(new ByteArrayInputStream(Input));
		int						Char  = In.read();
		
		assertTrue("Character should have been 0x0102, but is actually: " + Integer.toHexString(Char), Char == 0x0102);
		
		Char = In.read();
		
		assertTrue("Character should have been 0x0304, but is actually: " + Integer.toHexString(Char), Char == 0x0304);
	}
}
