/*	QWICAP (Quick Web Interface for Conventional Applications) by Chris W. Johnson
	Copyright (C) 2003-2010 The University of Texas at Austin ("U.T. Austin"). All rights reserved.
	
	U.T. Austin's copyright notice in this evolving version reflects our original authorship. It does not assert 
	copyright over changes contributed by others.
	
	This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General 
	Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) 
	any later version.
	
	This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied 
	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for 
	more details.
	
	You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to 
	the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package edu.utexas.its.eis.tools.qwicap.util;


/**	Provides for the deferred conversion of any type of object to a <code>String</code>.
 *
 *	@see ArrayToString
 *	@see DeferredString
 * 
 * 	@author Chris W. Johnson
 */
public final class ObjectToString implements DeferredString {
	
	private final Object		Thing;
	private String				ThingStr;
	
	
	public ObjectToString
	(
		final Object			Thing
	)
	{
		this.Thing = Thing;
	}
	
	@Override public String toString() {
		
		if (ThingStr == null)			
			ThingStr = Thing != null ? Thing.toString() : "null";
		
		return ThingStr;
	}
}
